Use cases

  • Customer orders goods to parcel shops located in Latvia or Lithuania.
  • Customer located in Europe orders goods to be delivered to shipping address by courier.
  • While merchant manages orders, he can send parcel data to DPD and print out DPD packing slips without leaving admin panel. When possible parcel data is sent automatically.
  • Merchant prints out DPD packing slips without leaving admin.
  • Merchant calls courier to pick up goods to be delivered with DPD for one or many orders simultaneously by being able to specify date and time, when the goods are supposed to be picked up.

License

This module is being distributed according GPLv3 license.

Important

After you install the module into your system, you will need to enter DPD API connection information such as user name, password and user ID. If you do not have these, please contact your DPD manager.

Test before install!

If you would like to test the DPD shipping modules please consider visiting the links below. Choose links under your prefered country.

Magento test platform

Front-End demo

Back-End demo

User: demo

Password: Demo123

PrestaShop test platform

Front-End demo

Back-End demo

User: demo

Password: Demo123

OpenCart test platform

Front-End demo

Back-End demo

User: demo

Password: demo123

Support

If you are facing some problems in using or installing the module, please contact us.

We want inform that our services and consultations are paid.

F.A.Q.

How to update the DPD parcel shop list on Magento?
  1. Connect to administration panel;
  2. Go to System > Configuration > Shipping Methods > DPD – Dpd.lt – Siuntų taškas;
  3. Push the “Rebuild postoffices for this carrier” button.
How to update the DPD parcel shop list on PrestaShop?
  1. Connect to administration panel;
  2. Go to Modules > Modules > Shipping and Logistics;
  3. Click the “Configure” button near “DPD Parcekshop” module;
  4. Check if “DPD Self service username”, “DPD Self-service password”, “DPD Self service user ID” ir “Api URL” fields are fully entered;
  5. Click the “Update settings” button.

Downloads

Prestashop
Compatible with: 1.5.x.x, 1.6.x.x
Please, note that if you have module version 2.1.6 or lower, you will have to uninstall old and install the new one!